Package org.opentcs.access

# Class CredentialsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.opentcs.access.KernelRuntimeException
org.opentcs.access.CredentialsException

All Implemented Interfaces:
  `java.io.Serializable`

    public class CredentialsException
    extends KernelRuntimeException
    implements java.io.Serializable

Thrown when there are insufficient user permissions to perform an operation.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CredentialsException()` | Constructs a CredentialsException with no detail message.
  `CredentialsException​(java.lang.String message)` | Constructs a CredentialsException with the specified detail message.
  `CredentialsException​(java.lang.String message, java.lang.Throwable cause)` | Constructs a CredentialsException with the specified detail message and cause.
  `CredentialsException​(java.lang.Throwable cause)` | Constructs a CredentialsException with the specified cause and a detail message of `(cause == null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CredentialsException

    public CredentialsException()
    Constructs a CredentialsException with no detail message.

  - ### CredentialsException

    public CredentialsException​(java.lang.String message)
    Constructs a CredentialsException with the specified detail message.
    Parameters:
      `message` - The detail message.

  - ### CredentialsException

    public CredentialsException​(java.lang.String message, java.lang.Throwable cause)
    Constructs a CredentialsException with the specified detail message and cause.
    Parameters:
      `message` - The detail message.
      `cause` - The exception's cause.

  - ### CredentialsException

    public CredentialsException​(java.lang.Throwable cause)
    Constructs a CredentialsException with the specified cause and a detail message of `(cause == null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).
    Parameters:
      `cause` - The exception's cause.